Ext.define('App.model.Message', {
	extend: 'Ext.data.Model',
	
	config: {
		fields: [
			//content of message
			{name: 'message_content', type: 'string'},
			//if true, message sent, if false, message received
			{name: 'sent', type: 'boolean'},
			//other user of conversation
			{name: 'message_with', type: 'int'},
			//date of message
			{name: 'message_time', type: 'string'},
			//0 if message unread, 1 if read
			{name: 'message_read', type: 'int'},
			//the id from db of the message
			{name: 'message_id', type: 'int', defaultValue: 0}
		]
	}
});
