Ext.define('App.view.main.Login', {
	extend: 'Ext.form.Panel',
	xtype: 'loginView',
	config: {
		title: 'Login',
		items: [
		    //login title
			{
				xtype: 'label',
				html: 'Login to chat'
			},
			//username input
			{
				xtype: 'textfield',
				placeHolder: 'Username',
				itemId: 'usernameField',
				name: 'usernameField',
				required: true
			},
			//password input
			{
				xtype: 'passwordfield',
				placeHolder: 'Password',
				itemId: 'passwordField',
				name: 'passwordField',
				required: true
			},
			//login button
			{
				xtype: 'button',
				itemId: 'loginButton',
				ui: 'action',
				text: 'Log In'
			},
			{
				xtype: 'label',
				html: 'Or'
			},
			//register redirect button
			{
				xtype: 'button',
				itemId: 'registerButton',
				ui: 'action',
				text: 'Register'
			}
		]
	}
});
