Ext.define('App.view.main.Register', {
	extend: 'Ext.form.Panel',
	xtype: 'registerView',
	config: {
		title: 'Register',
		items: [
		    //top toolbar
			{
				xtype: 'toolbar',
				docked: 'top',
				title: 'Register',
				items: [
				    //back button
					{
						xtype: 'button',
						itemId: 'backButton',
						ui: 'back',
						text: 'Login'
					}
				]
			},
			{
				xtype: 'label',
				html: 'Create a new account'
			},
			//username input
			{
				xtype: 'textfield',
				placeHolder: 'Username',
				itemId: 'usernameField',
				name: 'usernameField',
				required: true
			},
			//password input
			{
				xtype: 'passwordfield',
				placeHolder: 'Password',
				itemId: 'passwordField',
				name: 'passwordField',
				required: true
			},
			//confirm password input
			{
				xtype: 'passwordfield',
				placeHolder: 'Confirm password',
				itemId: 'cPasswordField',
				name: 'cPasswordField',
				required: true
			},
			//register button
			{
				xtype: 'button',
				itemId: 'registerButton',
				ui: 'action',
				text: 'Create Account'
			}
		]
	}
});
