var mysql = require('db-mysql');
var config = require('./../config');

//create a new connection object
var sql_connection = new mysql.Database({
	hostname: config.dbConfig.host,
	user: config.dbConfig.user,
	password: config.dbConfig.password,
	database: config.dbConfig.database
});

//connect to db
sql_connection.connect(function(error) {
	if (error) {
		console.log('An error ocurred when connecting to database ' + error);
		process.exit();
	}
});

exports.connection = sql_connection;
exports.tablePrefix = config.dbConfig.tablePrefix;
