if ("undefined" == typeof(io)) {
	alert("Server not available at this moment. Please retry later");
} else {
	var socket = io.connect('[IP]:[PORT]');
}

Ext.Loader.setPath({
	'App': 'js/app'
});

Ext.application({
	name: 'App',
	
	controllers: [
		'Main',
		'Chat'
	],
	
	views: [
		'main.Login',
		'main.Register',
		'chat.UsersList',
		'chat.Chat'
	],
	
	models: [
		'OnlineUser',
		'Message'
	],
	
	stores: [
		'OnlineUsers',
		'Messages'
	],
	
	launch: function() {
		
	}
});
