Ext.define('App.controller.Controller', {
    extend: 'Ext.app.Controller',
    
    animation: {
        type: 'slide',
        duration: 400,
        easing: 'ease-in-out',
        direction: 'left'
    },
    
    init: function () {
        this.callParent(arguments);
        
        this.app = this.getApplication();
    },

 	showView: function (view, options) {
        options = options || {};
        
        // get the animation effect
        var anim = options.anim || {};
        anim = Ext.merge({}, this.animation, anim);
        
        var inactiveView = Ext.Viewport.getActiveItem();
        
        
        // animate the view
        Ext.Viewport.animateActiveItem(view, anim, function () {
            if (inactiveView) {
                Ext.Viewport.remove(inactiveView, true);
            }
        });
    },

});