Ext.define('App.view.chat.UsersList', {
	extend: 'Ext.Panel',
	//layout: 'card',
	xtype: 'usersListView',
	config: {
		title: 'Home',
		items: [
		    //top toolbar
			{
				xtype: 'toolbar',
				itemId: 'toolBar',
				dock: 'top',
				pack: 'center',
				title: '<p>Online Users</p>',
				items: [
				    //logout button
					{
						xtype: 'button',
						itemId: 'logoutButton',
						ui: 'action',
						text: 'Logout'
					}
				]
			},
			//online users list
			{
				xtype: 'list',
				itemId: 'usersList',
				cls: 'online-users',
				itemTpl: new Ext.XTemplate(
					'<tpl if="new_messages">',
						"<h2>{user_username}</h2><span class='new-messages'>{no_new_messages}</span>",
					'<tpl else>',
						"<h2>{user_username}</h2>",
					'</tpl>'
				),
				emptyText: 'No users online',
				flex: 1,
				height: 600,
				store: 'OnlineUsers'
			}
		]
	}
});
